Forum Coders' city Strona Główna Coders' city
Nasza pasja to programowanie!
 

 PomocPomoc   SzukajSzukaj   UżytkownicyUżytkownicy   GrupyGrupy  RejestracjaRejestracja 
Archiwum starego forum + teoria    RSS & Panel/SideBar
 ProfilProfil   Zaloguj się, by sprawdzić wiadomościZaloguj się, by sprawdzić wiadomości   ZalogujZaloguj 

Potrzebuję szybkiej odpowiedzi na moje pytanie... Zasady

[C++] instalacja SFML Windows 7 Code Block / Visual Studio



 
Odpowiedz do tematu    Forum Coders' city Strona Główna -> C i C++
Zobacz poprzedni temat :: Zobacz następny temat  
Autor Wiadomość
Kasztan8765



Dołączył: 20 Kwi 2016
Posty: 2

PostWysłany: Nie Gru 18, 2016 8:08 pm  OP    Temat postu: [C++] instalacja SFML Windows 7 Code Block / Visual Studio Odpowiedz z cytatem Pisownia

Dzień dobry
Mam problem z instalacją dla C++ SFML korzystam z tego tutoriala: http://www.sfml-dev.org/tutorials/2.0/start-vc.php próbowałem z visual studio 2015, code blocks ale testowy program się nie odpala. Czy ktoś z was może ma gdzieś zanotowane dla jakiej wersji Code Blocks lub Visual Studio dla Windows 7 da się to zainstalować bez problemu?

Pozdrawiam
Powrót do góry
Zobacz profil autora Wyślij prywatną wiadomość
samolot



Dołączył: 26 Sty 2006
Posty: 8196
Skąd: Toruń

PostWysłany: Nie Gru 18, 2016 9:32 pm      Temat postu: Odpowiedz z cytatem Pisownia

W podanym linku masz na górze strony pierwsze zdanie (tłumaczenie Google):
Cytat:
Ostrzeżenie: ta strona odwołuje się do starej wersji SFML. Kliknij tutaj, aby przejść do najnowszej wersji.
Zanim klikniesz tutaj (czyli w to zacytowane zdanie, które jest linkiem do tej nowszej strony), to przeczytaj na jeszcze tej stronie drugie ostrzeżenie:

Cytat:
Musisz pobrać pakiet, który pasuje do wersji Visual C ++. Rzeczywiście, biblioteki skompilowany z VC ++ 9 (Visual Studio 2008) nie będą zgodne z VC ++ 10 (Visual Studio 2010) na przykład. Jeśli nie ma pakietu SFML skompilowane dla wersji programu Visual C ++, trzeba będzie zbudować SFML siebie.
A ty piszesz, że "próbowałeś z visual studio 2015"

Nawet jak wejdziesz na tę nowsza stronę, to tam masz podobne ostrzeżenie:
Cytat:
Musisz pobrać pakiet, który pasuje do wersji Visual C ++. Rzeczywiście, biblioteki skompilowany z VC ++ 10 (Visual Studio 2010) nie będą zgodne z VC ++ 12 (Visual Studio 2013) na przykład. Jeśli nie ma pakietu SFML skompilowane dla wersji programu Visual C ++, trzeba będzie zbudować SFML siebie.
Tym razem piszą o Visual Studio 2010 i o Visual Studio 2013. Nadal żadna z wymienionych wersji nie jest tą wersja ," z którą próbowałeś"


Skoro więc pytasz:
Cytat:
dla jakiej wersji Code Blocks lub Visual Studio dla Windows 7 da się to zainstalować bez problemu?
, to w tych cytatach masz odpowiedź.
System Windows 7 "łyknie" każdy z tych pakietów Visual Studio, natomiast pakiet SFML , jak piszą, wymaga wrsji starszej, niż Twoja: Visual Studio 2015

_________________
Nie zadawaj bezcelowych pytań / Windows 8.1 / Windows 10 / VB2008 / VB 2010 / VB 2012 / Pisz poprawnie
Powrót do góry
Zobacz profil autora Wyślij prywatną wiadomość Wyślij email
Wyświetl posty z ostatnich:   
Odpowiedz do tematu    Forum Coders' city Strona Główna -> C i C++ Wszystkie czasy w strefie CET (Europa)

Strona 1 z 1

 
Skocz do:  
Możesz pisać nowe tematy
Możesz odpowiadać w tematach
Nie możesz zmieniać swoich postów
Nie możesz usuwać swoich postów
Nie możesz głosować w ankietach
Możesz dodawać załączniki na tym forum
Możesz pobierać pliki z tego forum




Debug: strone wygenerowano w 0.24515 sekund, zapytan = 11
contact

| Darmowe programy i porady Jelcyna | Tansze zakupy w Helionie | MS Office Blog |